diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -1570,163 +1660,176 @@
 
 
 /*
  | Cache the n_bpp data for all the active fonts (including system)
  */
-static void cache_fonts( void )
+static void cache_fonts(void)
 {
 	int i;
-	for ( i=0; i<=MAX_TERM_DATA; i++ )
-		if ( fonts[i].name )
-			if ( !cache_font_for_mode( &(fonts[i]) ) )
+	for (i = 0; i <= MAX_TERM_DATA; i++)
+		if (fonts[i].name)
+			if (!cache_font_for_mode(&(fonts[i])))
 				core("Failed to (re)cache font tables");
 }
 
 
 
 
 
 
 typedef struct
 {
-	int		load, exec, size, attr, type;
-	char	name[4];						/* Actual size is unknown */
-} osgbpb10_block;
+	int load, exec, size, attr, type;
+	char name[4];	/* Actual size is unknown */
+}
+osgbpb10_block;
 
 
-static char *leafname( char *path )
+static char *leafname(char *path)
 {
-	char *s = path+strlen(path);
-	while ( --s > path )
-		if ( *s=='.' || *s==':' ) { return s+1; }
+	char *s = path + strlen(path);
+	while (--s > path)
+		if (*s == '.' || *s == ':')
+		{
+			return s + 1;
+		}
 	return path;
 }
 
 /*
  | NB: This function is recursive.
  */
-static menu_ptr make_zfont_menu( char *dir )
+static menu_ptr make_zfont_menu(char *dir)
 {
-	int entries,entry;
-	int read,offset;
+	int entries, entry;
+	int read, offset;
 	int max_width;
 	menu_ptr m;
 	menu_item *mi;
 	char *temp;
 	osgbpb10_block *item_info;
-	char buffer[1024];					/* 1Kb buffer */
+	char buffer[1024];	/* 1Kb buffer */
 
 	/* Count the entries in the directory */
 	entries = read = offset = 0;
-	while ( offset != -1 )
+	while (offset != -1)
 	{
-		if ( SWI( 7,5, SWI_OS_GBPB,10, dir, buffer, 77, offset, 1024, 0,
-			NULL, NULL, NULL, &read, &offset ) )
+		if (SWI(7, 5, SWI_OS_GBPB, 10, dir, buffer, 77, offset, 1024, 0,
+				NULL, NULL, NULL, &read, &offset))
 		{
 			offset = -1;
 			read = 0;
 		}
 		entries += read;
 	}
 
-	if ( !entries ) { return NULL; }
+	if (!entries)
+	{
+		return NULL;
+	}
 
 	/* Allocate a big enough area of storage for the number of entries */
-	m = f_malloc( sizeof(menu_block)+entries*sizeof(menu_item) );
-	if ( !m ) { return NULL; }
-	memset( m, 0, sizeof(menu_block)+entries*sizeof(menu_item) );
+	m = f_malloc(sizeof(menu_block) + entries * sizeof(menu_item));
+	if (!m)
+	{
+		return NULL;
+	}
+	memset(m, 0, sizeof(menu_block) + entries * sizeof(menu_item));
 
 	/* Set up the menu header */
-	strncpy(m->title,leafname(dir),12);
-	m->titlefore=7; m->titleback=2;
-	m->workfore=7; m->workback=0;
-	m->height=44; m->gap=0;
-	mi = (menu_item*) (((int)m)+sizeof(menu_block));
+	strncpy(m->title, leafname(dir), 12);
+	m->titlefore = 7;
+	m->titleback = 2;
+	m->workfore = 7;
+	m->workback = 0;
+	m->height = 44;
+	m->gap = 0;
+	mi = (menu_item *) (((int)m) + sizeof(menu_block));
 	max_width = strlen(m->title);
 
 	entry = 0;
 
 	/* Read the entries */
 	read = offset = 0;
-	while ( offset != -1 )
+	while (offset != -1)
 	{
-		if ( SWI( 7,5, SWI_OS_GBPB,10, dir, buffer, 77, offset, 1024, 0,
-			NULL, NULL, NULL, &read, &offset ) )
+		if (SWI(7, 5, SWI_OS_GBPB, 10, dir, buffer, 77, offset, 1024, 0,
+				NULL, NULL, NULL, &read, &offset))
 		{
 			offset = -1;
 			read = 0;
-			/*free(m);return NULL;*/
+			/*free(m);return NULL; */
 		}
 
-		item_info = (osgbpb10_block*)buffer;
+		item_info = (osgbpb10_block *) buffer;
 
 		/* Create a menu item for each entry read (if it fits) */
-		while ( read-- > 0 )
+		while (read-- > 0)
 		{
-			switch ( item_info->type )
+			switch (item_info->type)
 			{
-				case 1 : /* File */
-					if ( (item_info->load & 0xffffff00) == 0xfffffd00 )
+				case 1:		/* File */
+					if ((item_info->load & 0xffffff00) == 0xfffffd00)
 					{
 						/* Data file */
 						mi[entry].submenu.value = -1;
 						mi[entry].iconflags.data.text = 1;
 						mi[entry].iconflags.data.filled = 1;
 						mi[entry].iconflags.data.foreground = 7;
 						mi[entry].iconflags.data.background = 0;
-						strncpy(mi[entry].icondata.text,item_info->name,12);
-						if ( strlen(mi[entry].icondata.text)>max_width )
+						strncpy(mi[entry].icondata.text, item_info->name, 12);
+						if (strlen(mi[entry].icondata.text) > max_width)
 							max_width = strlen(mi[entry].icondata.text);
 						entry++;
 					}
 					break;
-				case 2 : /* Directory */
-				case 3 : /* Image */
+				case 2:		/* Directory */
+				case 3:		/* Image */
 				{
 					menu_ptr sub;
 					char new_path[260];
-					if ( strchr(":.",dir[strlen(dir)-1]) )
-						sprintf(new_path,"%s%s",dir,item_info->name);
+					if (strchr(":.", dir[strlen(dir) - 1]))
+						sprintf(new_path, "%s%s", dir, item_info->name);
 					else
-						sprintf(new_path,"%s.%s",dir,item_info->name);
-					sub = make_zfont_menu( new_path );
-					if ( sub )
+						sprintf(new_path, "%s.%s", dir, item_info->name);
+					sub = make_zfont_menu(new_path);
+					if (sub)
 					{
 						/* Add the submenu */
 						mi[entry].submenu.menu = sub;
 						mi[entry].iconflags.data.text = 1;
 						mi[entry].iconflags.data.filled = 1;
 						mi[entry].iconflags.data.foreground = 7;
 						mi[entry].iconflags.data.background = 0;
-						strncpy(mi[entry].icondata.text,item_info->name,12);
-						if ( strlen(mi[entry].icondata.text)>max_width )
+						strncpy(mi[entry].icondata.text, item_info->name, 12);
+						if (strlen(mi[entry].icondata.text) > max_width)
 							max_width = strlen(mi[entry].icondata.text);
 						entry++;
 					}
 				}
-				break;
+					break;
 			}
-			temp = ((char*) item_info)+20;
-			while ( *temp++ ) ;
-			item_info = (osgbpb10_block*) ((((int)temp)+3) & ~3);
+			temp = ((char *)item_info) + 20;
+			while (*temp++) ;
+			item_info = (osgbpb10_block *) ((((int)temp) + 3) & ~3);
 		}
 	}
 
-	if ( entry )
+	if (entry)
 	{
-		m->width = (max_width+2)*16;
-		mi[entry-1].menuflags.data.last = 1;
+		m->width = (max_width + 2) * 16;
+		mi[entry - 1].menuflags.data.last = 1;
 		/*
-		 | We could possibly realloc() the storage to fit the
-		 | actual no. of entries read, but this is probably more
-		 | trouble than it's worth.
+		   | We could possibly realloc() the storage to fit the
+		   | actual no. of entries read, but this is probably more
+		   | trouble than it's worth.
 		 */
 	}
 	else
 	{
 		/*
-		 | No point in returning an empty menu.
+		   | No point in returning an empty menu.
 		 */
 		f_free(m);
 		m = NULL;
 	}
 
@@ -1740,68 +1843,71 @@
 /*--------------------------------------------------------------------------*/
 
 /*
  | Initialise the palette stuff
  */
-static void initialise_palette( void )
+static void initialise_palette(void)
 {
-	memset( a_palette, 0, sizeof(a_palette) );
-	memset( palette, 0, sizeof(palette) );
-	memset( zpalette, 0, sizeof(zpalette) );
+	memset(a_palette, 0, sizeof(a_palette));
+	memset(palette, 0, sizeof(palette));
+	memset(zpalette, 0, sizeof(zpalette));
 }
 
 
 
 
 
 /*
  | Cache the ZapRedraw palette
  */
-static void cache_palette( void )
+static void cache_palette(void)
 {
 	static ZapRedrawBlock b;
 	char workspace[128];
 	int i;
 
 	static double old_gamma = -1.0;
 
 	/* Idiocy check: */
-	if ( gamma < 0.01 )
+	if (gamma < 0.01)
 	{
 		plog("Internal error: Attempt to apply zero gamma - recovering...");
 		gamma = 1.00;
 	}
 
-	if ( gamma != old_gamma )
+	if (gamma != old_gamma)
 	{
-		memset(a_palette,0,sizeof(a_palette));
+		memset(a_palette, 0, sizeof(a_palette));
 		old_gamma = gamma;
 	}
 
 	/* Go through the palette updating any changed values */
-	for ( i=0; i<256; i++ )
+	for (i = 0; i < 256; i++)
 	{
-		if ( COLOUR_CHANGED(i) )
+		if (COLOUR_CHANGED(i))
 		{
-			int r,g,b;
-			r = (int) (255.0*pow(angband_color_table[i][1]/255.0, 1.0/gamma));
-			g = (int) (255.0*pow(angband_color_table[i][2]/255.0, 1.0/gamma));
-			b = (int) (255.0*pow(angband_color_table[i][3]/255.0, 1.0/gamma));
-			palette[i] = (b<<24) | (g<<16) | (r<<8);
+			int r, g, b;
+			r = (int)(255.0 *
+					  pow(angband_color_table[i][1] / 255.0, 1.0 / gamma));
+			g = (int)(255.0 *
+					  pow(angband_color_table[i][2] / 255.0, 1.0 / gamma));
+			b = (int)(255.0 *
+					  pow(angband_color_table[i][3] / 255.0, 1.0 / gamma));
+			palette[i] = (b << 24) | (g << 16) | (r << 8);
 			a_palette[i][1] = angband_color_table[i][1];
 			a_palette[i][2] = angband_color_table[i][2];
 			a_palette[i][3] = angband_color_table[i][3];
 		}
 	}
 
 	cursor_rgb = palette[CURSOR_COLOUR];
 
 	/* Cache the ZapRedraw palette for it */
 	b.r_workarea = workspace;
-	if ( b.r_mode != screen_mode )
-		SWI( 2,0, SWI_ZapRedraw_ReadVduVars, 0, &b );
-	SWI( 5,0, SWI_ZapRedraw_CreatePalette, 2, &b, palette, zpalette, 256 );
+	if (b.r_mode != screen_mode)
+		SWI(2, 0, SWI_ZapRedraw_ReadVduVars, 0, &b);
+	SWI(5, 0, SWI_ZapRedraw_CreatePalette, 2, &b, palette, zpalette, 256);
 }
 
 
 
 
@@ -1812,140 +1918,142 @@
  */
 
 /*
  | Create the window and claim various handlers for it
  */
-static void init_save_window( void )
+static void init_save_window(void)
 {
 	/* Create the window */
-	save_box = Window_Create( "save", template_TITLEMIN );
+	save_box = Window_Create("save", template_TITLEMIN);
 
 	/* Set the file icon */
-	Icon_printf( save_box, SAVE_ICON, "file_%03x", vfiletype );
+	Icon_printf(save_box, SAVE_ICON, "file_%03x", vfiletype);
 
 }
 
 /*
  | Hack: can't use Str.h without defining HAS_STRICMP.  Rather than
  | require that the header files are altered we simply provide our
  | own strnicmp() function.
  */
-static int my_strnicmp( char *a, char *b, int n )
+static int my_strnicmp(char *a, char *b, int n)
 {
 	int i;
 
 	n--;
-	for ( i=0; i<=n; i++ )
+	for (i = 0; i <= n; i++)
 	{
-		if ( tolower(b[i])!=tolower(a[i]) )
+		if (tolower(b[i]) != tolower(a[i]))
 			break;
 	}
-	return tolower(b[i])-tolower(a[i]);
+	return tolower(b[i]) - tolower(a[i]);
 }
 
 
 /*
  | This is the handler called when a 'save' occurrs.
  | All it does is to update the game's own savefile setting and
  | then (if possible) save the character.
  */
-static BOOL SaveHnd_FileSave( char *filename, void *ref )
+static BOOL SaveHnd_FileSave(char *filename, void *ref)
 {
 	char old_savefile[1024];
 
 	/* Hack: refuse to save if the character is dead */
-	if ( PDEADCHK )
+	if (PDEADCHK)
 	{
-		Msgs_Report( 0, "err.cheat" );
+		Msgs_Report(0, "err.cheat");
 		return FALSE;
 	}
 
 	/* Hack: disallow saves to <Wimp$Scrap>* */
-	if ( !my_strnicmp("<wimp$scrap>",filename,12) )
+	if (!my_strnicmp("<wimp$scrap>", filename, 12))
 	{
-		Msgs_Report( 0, "err.scrap" );
+		Msgs_Report(0, "err.scrap");
 		return FALSE;
 	}
 
 	/* Preserve the old path, in case something goes wrong... */
-	strcpy( old_savefile, savefile );
+	strcpy(old_savefile, savefile);
 
 	/* Set the new path */
-	strcpy( savefile, unixify_name( filename ) );
+	strcpy(savefile, unixify_name(filename));
 
 	/* Try a save (if sensible) */
-	if ( game_in_progress && character_generated )
+	if (game_in_progress && character_generated)
 	{
-		if ( !save_player() )
+		if (!save_player())
 		{
-			Msgs_Report( 0, "err.save", filename );
-			strcpy( savefile, old_savefile );
-			return FALSE;						/* => failure */
+			Msgs_Report(0, "err.save", filename);
+			strcpy(savefile, old_savefile);
+			return FALSE;		/* => failure */
 		}
 	}
 
 	/* Set the pathname icon */
-	Icon_printf( save_box, SAVE_PATH, "%s", riscosify_name(savefile) );
+	Icon_printf(save_box, SAVE_PATH, "%s", riscosify_name(savefile));
 
 	/* Kill the menu */
-	Wimp_CreateMenu( (menu_block*) -1, -1, -1 );
+	Wimp_CreateMenu((menu_block *) - 1, -1, -1);
 
-	return TRUE;								/* => Success */
+	return TRUE;				/* => Success */
 }
 
 
 
 /*
  | Init the handlers for the savebox (eg. as a result of a menuwarning
  | being received for the savebox)
  */
 
-static void init_savehandlers( void )
+static void init_savehandlers(void)
 {
-	if ( saveblk )
+	if (saveblk)
 	{
-		Save_ReleaseSaveHandlers( saveblk );
+		Save_ReleaseSaveHandlers(saveblk);
 		saveblk = 0;
 	}
 
-	saveblk = Save_InitSaveWindowHandler(
-			save_box,				/* Window handle */
-			TRUE,					/* it's part of a menu */
-			FALSE,					/* not a window */
-			FALSE,					/* Don't auto release the handlers */
-			SAVE_ICON,				/* The file icon */
-			SAVE_OK,				/* The OK icon */
-			SAVE_CANCEL,			/* The cancel icon */
-			SAVE_PATH,				/* The pathname icon */
-			SaveHnd_FileSave,		/* Handler to "save the file" */
-			NULL,					/* No RAM transfer support */
-			NULL,					/* No 'result handler' */
-			100<<10,				/* Est. size (irelevant anyway) */
-			vfiletype,				/* filetype (irelevant) */
-			NULL					/* ref */
+	saveblk = Save_InitSaveWindowHandler(save_box,	/* Window handle */
+										 TRUE,	/* it's part of a menu */
+										 FALSE,	/* not a window */
+										 FALSE,	/* Don't auto release the handlers */
+										 SAVE_ICON,	/* The file icon */
+										 SAVE_OK,	/* The OK icon */
+										 SAVE_CANCEL,	/* The cancel icon */
+										 SAVE_PATH,	/* The pathname icon */
+										 SaveHnd_FileSave,	/* Handler to "save the file" */
+										 NULL,	/* No RAM transfer support */
+										 NULL,	/* No 'result handler' */
+										 100 << 10,	/* Est. size (irelevant anyway) */
+										 vfiletype,	/* filetype (irelevant) */
+										 NULL	/* ref */
 		);
 }
 
 
 /*
  | Handle a MenuWarning message for the savebox
  */
-static BOOL Hnd_SaveWarning( event_pollblock *pb, void *ref )
+static BOOL Hnd_SaveWarning(event_pollblock * pb, void *ref)
 {
 	os_error *e;
 
 	init_savehandlers();
 
 	/* Set the pathname */
-	Icon_printf( save_box, SAVE_PATH, "%s", riscosify_name(savefile) );
+	Icon_printf(save_box, SAVE_PATH, "%s", riscosify_name(savefile));
 
 	/* Open the submenu */
-	e = Wimp_CreateSubMenu( (menu_block*) save_box,
-		pb->data.message.data.menuwarn.openpos.x,
-		pb->data.message.data.menuwarn.openpos.y );
+	e = Wimp_CreateSubMenu((menu_block *) save_box,
+						   pb->data.message.data.menuwarn.openpos.x,
+						   pb->data.message.data.menuwarn.openpos.y);
 
-	if ( e ) { Msgs_ReportFatal( 0, "err.swi", __LINE__, e->errmess ); }
+	if (e)
+	{
+		Msgs_ReportFatal(0, "err.swi", __LINE__, e->errmess);
+	}
 
 	return TRUE;
 }
 
 
@@ -1955,235 +2063,244 @@
 /*
  | Initialise the r_data array
  | Mainly we just set up the line offset pointers and make sure that the
  | lines themselves are 'safe' by writing end-of-line codes to them.
  */
-static void initialise_r_data( void )
+static void initialise_r_data(void)
 {
-	int  *lo = (int*) r_data;
+	int *lo = (int *)r_data;
 	char *ld;
 	int j;
-	for ( j=0; j<24; j++ )
+	for (j = 0; j < 24; j++)
 	{
-		lo[j] = 25*4 + (80*5+4)*j;		/* Offset of line */
-		ld = r_data+lo[j];
-		*ld++ = 0;						/* 0,2 ==      */
-		*ld = 2;						/* end of line */
+		lo[j] = 25 * 4 + (80 * 5 + 4) * j;	/* Offset of line */
+		ld = r_data + lo[j];
+		*ld++ = 0;				/* 0,2 ==     */
+		*ld = 2;				/* end of line */
 	}
-	lo[j] = 0;							/* Terminate line index */
+	lo[j] = 0;					/* Terminate line index */
 }
 
 
 
 /*
  | Create the r_data array for a term
  | This is typically quite fast (1ms or so on a RPC700)
  | so we don't bother caching r_data for each term or using the
  | 'frosh' concept.
  */
-static void make_r_data( term_data *t )
+static void make_r_data(term_data *t)
 {
-	char	**c = t->t.old->c;				/* char array [24][80] */
-	byte	**a = t->t.old->a;				/* attr array [24][80] */
-	char	*o;
-	int i,j,cf;
+	char **c = t->t.old->c;	/* char array [24][80] */
+	byte **a = t->t.old->a;	/* attr array [24][80] */
+	char *o;
+	int i, j, cf;
 
 /* New code: */
 
-	o = r_data + 25*4;		/* First byte of r_data after line index */
+	o = r_data + 25 * 4;		/* First byte of r_data after line index */
 
-	if ( force_mono )
+	if (force_mono)
 	{
-		for ( j=0; j<24; j++ )
+		for (j = 0; j < 24; j++)
 		{
 			/* Set up the line offset entry */
-			((int*)r_data)[j] = o - r_data;
+			((int *)r_data)[j] = o - r_data;
 
-			for ( i=0; i<80; i++ )
-				*o++ = a[j][i]!=TERM_DARK ? c[j][i] : ' ';
+			for (i = 0; i < 80; i++)
+				*o++ = a[j][i] != TERM_DARK ? c[j][i] : ' ';
 			/* 0,2 => end of line */
-			*o++ = 0; *o++ = 2;
+			*o++ = 0;
+			*o++ = 2;
 		}
 	}
 	else
 	{
-		for ( j=0; j<24; j++ )
+		for (j = 0; j < 24; j++)
 		{
 			/* Set up the line offset entry */
-			((int*)r_data)[j] = o - r_data;
+			((int *)r_data)[j] = o - r_data;
 
 			/* Each line starts in white */
 			cf = TERM_WHITE;
 
-			for ( i=0; i<80; i++ )
+			for (i = 0; i < 80; i++)
 			{
-				if ( a[j][i] != cf )
+				if (a[j][i] != cf)
 				{
 					/* 0,6 => change FG */
-					*o++ = 0; *o++ = 6;
+					*o++ = 0;
+					*o++ = 6;
 					cf = *o++ = a[j][i];
 				}
 				*o++ = c[j][i];
 			}
 			/* 0,2 => end of line */
-			*o++ = 0; *o++ = 2;
+			*o++ = 0;
+			*o++ = 2;
 		}
 	}
 }
 
 
 /*
  | Set up 'zrb' for the current screen mode.
  */
-static void set_up_zrb_for_mode( void )
+static void set_up_zrb_for_mode(void)
 {
 	static char work_area[4096];
 	zrb.r_workarea = work_area;
 	zrb.r_palette = zpalette;
 	zrb.r_linesp = 0;
 	zrb.r_for = TERM_WHITE;
 	zrb.r_bac = 0;
 	zrb.r_data = r_data;
-	SWI( 2,0, SWI_ZapRedraw_ReadVduVars, 0, &zrb );
+	SWI(2, 0, SWI_ZapRedraw_ReadVduVars, 0, &zrb);
 }
 
 
 
 /*
  | Set up the ZapRedrawBlock ready to redraw term 't'
  | (caches the r_data as part of the process)
  */
-static void set_up_zrb( term_data *t )
+static void set_up_zrb(term_data *t)
 {
-	int fw,fh;
+	int fw, fh;
 
 	zrb.r_flags.value = 0;
 
 	/* Set font info up */
 	fw = t->font->w;
 	fh = t->font->h;
-	SWI( 4,4, SWI_ZapRedraw_CachedCharSize, zrb.r_bpp, 0, fw, fh,
-			NULL, NULL, &(zrb.r_cbpl), &(zrb.r_cbpc) );
-	zrb.r_caddr = (void*) (((int)t->font->bpp_n) -(t->font->f * zrb.r_cbpc));
+	SWI(4, 4, SWI_ZapRedraw_CachedCharSize, zrb.r_bpp, 0, fw, fh,
+		NULL, NULL, &(zrb.r_cbpl), &(zrb.r_cbpc));
+	zrb.r_caddr = (void *)(((int)t->font->bpp_n) - (t->font->f * zrb.r_cbpc));
 
-	zrb.r_charw = fw;					/* Character size in pixels */
+	zrb.r_charw = fw;			/* Character size in pixels */
 	zrb.r_charh = fh;
 
-	if ( t->font == SYSTEM_FONT )
-		zrb.r_flags.bits.double_height = screen_eig.y==1;
+	if (t->font == SYSTEM_FONT)
+		zrb.r_flags.bits.double_height = screen_eig.y == 1;
 	else
 		zrb.r_flags.bits.double_height = 0;
 
-	make_r_data( t );					/* Cache the r_data */
+	make_r_data(t);				/* Cache the r_data */
 }
 
 
 
 
 
-static void redraw_window( window_redrawblock *rb, BOOL *more, term_data *t)
+static void redraw_window(window_redrawblock * rb, BOOL *more, term_data *t)
 {
-	int cx,cy,cw,ch;
+	int cx, cy, cw, ch;
 
 	/* set GCOL for cursor colour */
-	if ( t->cursor.visible )
+	if (t->cursor.visible)
 	{
-		cw = zrb.r_charw<<screen_eig.x;
-		ch = -(zrb.r_charh<<screen_eig.y);
-		if ( zrb.r_flags.bits.double_height ) { ch *= 2; }
+		cw = zrb.r_charw << screen_eig.x;
+		ch = -(zrb.r_charh << screen_eig.y);
+		if (zrb.r_flags.bits.double_height)
+		{
+			ch *= 2;
+		}
 		cx = t->cursor.pos.x * cw;
 		cy = t->cursor.pos.y * ch;
-		cx += ( rb->rect.min.x - rb->scroll.x );
-		cy += ( rb->rect.max.y - rb->scroll.y );
-		cw -= (1<<screen_eig.x);
-		ch += (1<<screen_eig.y);
-		cy -= (1<<screen_eig.y);
+		cx += (rb->rect.min.x - rb->scroll.x);
+		cy += (rb->rect.max.y - rb->scroll.y);
+		cw -= (1 << screen_eig.x);
+		ch += (1 << screen_eig.y);
+		cy -= (1 << screen_eig.y);
 	}
 
 	while (*more)
 	{
-		SWI ( 2,0, SWI_ZapRedraw_GetRectangle, rb, &zrb );
-		SWI ( 2,0, SWI_ZapRedraw_RedrawArea, NULL, &zrb );
-		if ( t->cursor.visible )
+		SWI(2, 0, SWI_ZapRedraw_GetRectangle, rb, &zrb);
+		SWI(2, 0, SWI_ZapRedraw_RedrawArea, NULL, &zrb);
+		if (t->cursor.visible)
 		{
-			ColourTrans_SetGCOL( cursor_rgb, 0, 0 );
-			GFX_Move( cx,cy );
-			GFX_DrawBy( cw, 0 );
-			GFX_DrawBy( 0, ch );
-			GFX_DrawBy( -cw, 0 );
-			GFX_DrawBy( 0, -ch );
+			ColourTrans_SetGCOL(cursor_rgb, 0, 0);
+			GFX_Move(cx, cy);
+			GFX_DrawBy(cw, 0);
+			GFX_DrawBy(0, ch);
+			GFX_DrawBy(-cw, 0);
+			GFX_DrawBy(0, -ch);
 		}
-		Wimp_GetRectangle(rb,more);
+		Wimp_GetRectangle(rb, more);
 	}
 }
 
 
 
 
 
-static BOOL Hnd_Redraw( event_pollblock *pb, void *ref )
+static BOOL Hnd_Redraw(event_pollblock * pb, void *ref)
 {
-	term_data *t = (term_data *) ref;
+	term_data *t = (term_data *)ref;
 	window_redrawblock rb;
 	BOOL more;
 
 	rb.window = t->w;
-	Wimp_RedrawWindow( &rb, &more );
+	Wimp_RedrawWindow(&rb, &more);
 
-	set_up_zrb( t );
+	set_up_zrb(t);
 
-	redraw_window( &rb, &more, t );
+	redraw_window(&rb, &more, t);
 
 	return TRUE;
 }
 
 
 
 
 
-static void refresh_window( term_data *t )
+static void refresh_window(term_data *t)
 {
 	window_redrawblock rb;
 	BOOL more;
 	int fw, fh;
 
-	if ( (t->changed_box.min.x >= t->changed_box.max.x) ||
-		(t->changed_box.min.y >= t->changed_box.max.y) )
+	if ((t->changed_box.min.x >= t->changed_box.max.x) ||
+		(t->changed_box.min.y >= t->changed_box.max.y))
 		return;
 
-	set_up_zrb( t );
+	set_up_zrb(t);
 
-	fw = zrb.r_charw<<screen_eig.x;
-	fh = -(zrb.r_charh<<screen_eig.y);
-	if ( zrb.r_flags.bits.double_height ) { fh *= 2; }
+	fw = zrb.r_charw << screen_eig.x;
+	fh = -(zrb.r_charh << screen_eig.y);
+	if (zrb.r_flags.bits.double_height)
+	{
+		fh *= 2;
+	}
 
 	rb.window = t->w;
 	rb.rect.min.x = fw * t->changed_box.min.x;
 	rb.rect.max.x = fw * t->changed_box.max.x;
 
 	rb.rect.max.y = fh * t->changed_box.min.y;
 	rb.rect.min.y = fh * t->changed_box.max.y;
 
-	Wimp_UpdateWindow( &rb, &more );
-	redraw_window( &rb, &more, t );
+	Wimp_UpdateWindow(&rb, &more);
+	redraw_window(&rb, &more, t);
 
 	t->changed_box.min.x = t->changed_box.min.y = 255;
 	t->changed_box.max.x = t->changed_box.max.y = 0;
 }
 
 
 
-static void refresh_windows( void )
+static void refresh_windows(void)
 {
 	int i;
 	window_info info;
-	for ( i=0; i<MAX_TERM_DATA; i++ )
+	for (i = 0; i < MAX_TERM_DATA; i++)
 	{
 		info.window = data[i].w;
-		Wimp_GetWindowInfo( &info );
-		if ( info.block.flags.data.open )
-			refresh_window( &(data[i] ) );
+		Wimp_GetWindowInfo(&info);
+		if (info.block.flags.data.open)
+			refresh_window(&(data[i]));
 	}
 }
 
 
 /*
@@ -2194,45 +2311,43 @@
  | If the window isn't open then it is opened behind the backwindow,
  | resized and then closed again...  I /did/ have a reason for doing this
  | rather than simply recreating the window at the new size, but for the
  | life of me I can't remember what it was...
  */
-static void set_window_size( window_handle w, int width, int height )
+static void set_window_size(window_handle w, int width, int height)
 {
 	window_state ws;
 	int reclose;
 /*
  *  int cw,ch;
  */
 
-	Wimp_GetWindowState( w, &ws );
-	Window_SetExtent( w, 0, -height, width, 0 );
+	Wimp_GetWindowState(w, &ws);
+	Window_SetExtent(w, 0, -height, width, 0);
 
 	reclose = !ws.flags.data.open;
-	if ( !(ws.flags.value & (0xf << 27)) )
+	if (!(ws.flags.value & (0xf << 27)))
 	{
-		if ( reclose )
+		if (reclose)
 		{
 			ws.openblock.behind = -3;
-			Wimp_OpenWindow( &(ws.openblock) );
+			Wimp_OpenWindow(&(ws.openblock));
 		}
-	/* Removed - caused "pixel creep" :)
-	 *	cw = ws.openblock.screenrect.max.x;
-	 *	ch = ws.openblock.screenrect.max.y;
-	 *	cw -= ws.openblock.screenrect.min.x;
-	 *	ch -= ws.openblock.screenrect.min.y;
-	 *	ws.openblock.screenrect.min.x -= ((width-cw)/2)-(1<<screen_eig.x);
-	 *	ws.openblock.screenrect.min.y -= ((height-ch)/2)-(1<<screen_eig.y);
-	 */
-		ws.openblock.screenrect.max.x = ws.openblock.screenrect.min.x
-			+ width;
-		ws.openblock.screenrect.max.y = ws.openblock.screenrect.min.y
-			+ height;
-		Wimp_OpenWindow( &(ws.openblock) );
-		if ( reclose )
+		/* Removed - caused "pixel creep" :)
+		 *  cw = ws.openblock.screenrect.max.x;
+		 *  ch = ws.openblock.screenrect.max.y;
+		 *  cw -= ws.openblock.screenrect.min.x;
+		 *  ch -= ws.openblock.screenrect.min.y;
+		 *  ws.openblock.screenrect.min.x -= ((width-cw)/2)-(1<<screen_eig.x);
+		 *  ws.openblock.screenrect.min.y -= ((height-ch)/2)-(1<<screen_eig.y);
+		 */
+		ws.openblock.screenrect.max.x = ws.openblock.screenrect.min.x + width;
+		ws.openblock.screenrect.max.y = ws.openblock.screenrect.min.y + height;
+		Wimp_OpenWindow(&(ws.openblock));
+		if (reclose)
 		{
-			Wimp_CloseWindow( w );
+			Wimp_CloseWindow(w);
 		}
 	}
 }
 
 
@@ -2250,24 +2365,27 @@
 
 
 /*
  | Change the size of a window to suit the font displayed in it
  */
-static void resize_term_for_font( term_data *t )
+static void resize_term_for_font(term_data *t)
 {
-	int fw,fh;
-	set_up_zrb( t );
+	int fw, fh;
+	set_up_zrb(t);
 
-	fw = zrb.r_charw<<screen_eig.x;
-	fh = zrb.r_charh<<screen_eig.y;
-	if ( zrb.r_flags.bits.double_height ) { fh *= 2; }
+	fw = zrb.r_charw << screen_eig.x;
+	fh = zrb.r_charh << screen_eig.y;
+	if (zrb.r_flags.bits.double_height)
+	{
+		fh *= 2;
+	}
 
 	/* Caulculate new size */
 	fw *= 80;
 	fh *= 24;
 
-	set_window_size( t->w, fw, fh );
+	set_window_size(t->w, fw, fh);
 }
 
 
 
 
@@ -2284,13 +2402,13 @@
 
 
 
 
 
-static BOOL Hnd_Caret( event_pollblock *pb, void *ref )
+static BOOL Hnd_Caret(event_pollblock * pb, void *ref)
 {
-	if ( ref )
+	if (ref)
 		got_caret = 1;
 	else
 		got_caret = 0;
 	return TRUE;
 }
@@ -2301,33 +2419,45 @@
 /*
  | Attach a (named) font to the specified term.
  | If 'font' is NULL then the system font is attached.
  | The bpp_n data is calculated if necessary
  | returns:
- |    1 => the font was attached OK
- |    0 => the system font was substituted
+ |	1 => the font was attached OK
+ |	0 => the system font was substituted
  */
-static int attach_font_to_term( term_data *t, char *font )
+static int attach_font_to_term(term_data *t, char *font)
 {
-	if ( t->font != SYSTEM_FONT ) { lose_font(t->font); }
-	if ( font ) { t->font = find_font( font ); }
-	if ( !t->font )
+	if (t->font != SYSTEM_FONT)
+	{
+		lose_font(t->font);
+	}
+	if (font)
 	{
-		t->font=SYSTEM_FONT;
-		if ( font ) { Msgs_Report( 1,"err.font_l",font); }
+		t->font = find_font(font);
+	}
+	if (!t->font)
+	{
+		t->font = SYSTEM_FONT;
+		if (font)
+		{
+			Msgs_Report(1, "err.font_l", font);
+		}
 	}
 	else
 	{
-		if ( !t->font->bpp_n )
+		if (!t->font->bpp_n)
 		{
 			lose_font(t->font);
-			t->font=SYSTEM_FONT;
-			if ( font ) { Msgs_Report( 1,"err.font_c",font); }
+			t->font = SYSTEM_FONT;
+			if (font)
+			{
+				Msgs_Report(1, "err.font_c", font);
+			}
 		}
 	}
-	resize_term_for_font( t );
-	return !(t->font==SYSTEM_FONT);
+	resize_term_for_font(t);
+	return !(t->font == SYSTEM_FONT);
 }
 
 
 
 
